org.springframework.cloud.dataflow.server.controller

## Class StreamLogsController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.StreamLogsController

-     @RestController
       @RequestMapping(value="/streams/logs")
      public class StreamLogsController
      extends Object

  Retrieves logs of deployed stream applications.
  Author:
    Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamLogsController(StreamDeployer streamDeployer)` Construct Stream logs controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cloud.skipper.domain.LogInfo` | `getLog(String streamName)`
    `org.springframework.cloud.skipper.domain.LogInfo` | `getLog(String streamName, String appName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamLogsController

          public StreamLogsController(StreamDeployer streamDeployer)

      Construct Stream logs controller.
      Parameters:
        `streamDeployer` - the deployer this controller uses to get the logs of deployed stream apps

  - ### Method Detail

    - #### getLog

          @RequestMapping(value="{streamName}")
          public org.springframework.cloud.skipper.domain.LogInfo getLog(@PathVariable
                                                                                                               String streamName)

    - #### getLog

          @RequestMapping(value="{streamName}/{appName}")
          public org.springframework.cloud.skipper.domain.LogInfo getLog(@PathVariable
                                                                                                                         String streamName,
                                                                                                                         @PathVariable
                                                                                                                         String appName)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.